Subject: bug#25444: 'guix system init' on GuixSD w/ RAID target produces "guix system: error: failed to register"

From: [email-masked] (Ludovic Courtès)
Date: Sun, 15 Jan 2017 21:19:23 +0100

myglc2 <[email-masked]> skribis:

> On 01/14/2017 at 14:44 Ludovic Courtès writes:
>
>> Hi,
>>
>> myglc2 <[email-masked]> skribis:
>>
>>>     root@g1 ~# guix system init system/g1.00.scm /mnt/md0
>>>     [...]
>>>     initializing operating system under '/mnt/md0'...
>>>     copying '/gnu/store/0m0clxj69xrxb76kyh3ral8lkfb0vx8c-linux-libre-4.9.2'...
>>>     In execvp of /usr/local/sbin/guix-register: No such file or directory
>>
>> The crux of the problem is this last line.  It looks like the Guix
>> installation is broken here.
>>
>> Could you check what happened to this ‘guix-register’ command?
>
> Thanks. I did a fresh guix pull and looked for guix-register. I couldn't
> find it my PATH or in guix-latest. But I did find it in the globally
> installed guix package.
>
> Then, just to be sure things hadn't magically fixed themselves, I reproduced
> the crime ;-)

[...]

> copying '/gnu/store/1k2swlkbpf44d5fzgvrp5znafhw90xh7-grub-image.png'...
> In execvp of /usr/local/sbin/guix-register: No such file or directory
> guix system: error: failed to register '/gnu/store/1k2swlkbpf44d5fzgvrp5znafhw90xh7-grub-image.png' under '/mnt/md0'

The problem is that somehow Guix is configured to look for
/usr/local/sbin/guix-register (this location comes from
guix/config.scm), but that file doesn’t exist.

So you need to make /usr/local/sbin/guix-register a symlink to the right
thing, or somehow fix the installation.

Does that make sense?

Ludo’.